Skip to content

Mileages

GET Auth required

Returns fuel economy data including city/highway MPG, combined MPG, driving range, and EV efficiency metrics. The demo dataset covers model years 2015–2020. To access the full range from 1900 to today, subscribe and include a valid JWT.

Terminal window
curl "https://carapi.app/api/mileages/v2?year=2024&make=Toyota&model=Prius" \
-H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"
{
"collection": {
"url": "/api/mileages/v2?trim_id=8860",
"count": 1,
"pages": 1,
"total": 1,
"next": "",
"prev": "",
"first": "/api/mileages/v2?trim_id=8860",
"last": ""
},
"data": [
{
"id": 8860,
"make_id": 22,
"model_id": 4779,
"submodel_id": 73504,
"trim_id": 8860,
"year": 2020,
"make": "Toyota",
"model": "Camry",
"series": null,
"submodel": "LE",
"trim": "LE",
"trim_description": "LE 4dr Sedan (2.5L 4cyl 8A)",
"fuel_tank_capacity": "15.8",
"combined_mpg": 32,
"epa_city_mpg": 28,
"epa_highway_mpg": 39,
"range_city": 442,
"range_highway": 616,
"battery_capacity_electric": null,
"epa_time_to_charge_hr_240v_electric": null,
"epa_kwh_100_mi_electric": null,
"range_electric": null,
"epa_highway_mpg_electric": null,
"epa_city_mpg_electric": null,
"epa_combined_mpg_electric": null
}
]
}
Terminal window
curl "https://carapi.app/api/mileages/v2?year=2024&make=Toyota&json=[{\"field\":\"combined_mpg\",\"op\":\">=\",\"val\":40}]" \
-H "Authorization: Bearer YOUR_JWT_TOKEN_HERE"